# NVTextureMultisample (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class NVTextureMultisample

    java.lang.Object
      org.lwjgl.opengl.NVTextureMultisample

    public final class NVTextureMultisample

extends java.lang.Object

Field Summary
`static int` `GL_TEXTURE_COLOR_SAMPLES_NV` Accepted by the <pname> parameter of GetTexLevelParameter:
`static int` `GL_TEXTURE_COVERAGE_SAMPLES_NV` Accepted by the <pname> parameter of GetTexLevelParameter:

Method Summary
`static void` `glTexImage2DMultisampleCoverageNV(int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, boolean fixedSampleLocations)`
`static void` `glTexImage3DMultisampleCoverageNV(int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)`
`static void` `glTextureImage2DMultisampleCoverageNV(int texture, int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, boolean fixedSampleLocations)`
`static void` `glTextureImage2DMultisampleNV(int texture, int target, int samples, int internalFormat, int width, int height, boolean fixedSampleLocations)`
`static void` `glTextureImage3DMultisampleCoverageNV(int texture, int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)`
`static void` `glTextureImage3DMultisampleNV(int texture, int target, int samples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_COVERAGE_SAMPLES_NV

    public static final int GL_TEXTURE_COVERAGE_SAMPLES_NV

  Accepted by the <pname> parameter of GetTexLevelParameter:

  See Also:
    Constant Field Values

### GL_TEXTURE_COLOR_SAMPLES_NV

    public static final int GL_TEXTURE_COLOR_SAMPLES_NV

  Accepted by the <pname> parameter of GetTexLevelParameter:

  See Also:
    Constant Field Values

Method Detail

### glTexImage2DMultisampleCoverageNV

    public static void glTexImage2DMultisampleCoverageNV(int target,
                                                         int coverageSamples,
                                                         int colorSamples,
                                                         int internalFormat,
                                                         int width,
                                                         int height,
                                                         boolean fixedSampleLocations)

### glTexImage3DMultisampleCoverageNV

    public static void glTexImage3DMultisampleCoverageNV(int target,
                                                         int coverageSamples,
                                                         int colorSamples,
                                                         int internalFormat,
                                                         int width,
                                                         int height,
                                                         int depth,
                                                         boolean fixedSampleLocations)

### glTextureImage2DMultisampleNV

    public static void glTextureImage2DMultisampleNV(int texture,
                                                     int target,
                                                     int samples,
                                                     int internalFormat,
                                                     int width,
                                                     int height,
                                                     boolean fixedSampleLocations)

### glTextureImage3DMultisampleNV

    public static void glTextureImage3DMultisampleNV(int texture,
                                                     int target,
                                                     int samples,
                                                     int internalFormat,
                                                     int width,
                                                     int height,
                                                     int depth,
                                                     boolean fixedSampleLocations)

### glTextureImage2DMultisampleCoverageNV

    public static void glTextureImage2DMultisampleCoverageNV(int texture,
                                                             int target,
                                                             int coverageSamples,
                                                             int colorSamples,
                                                             int internalFormat,
                                                             int width,
                                                             int height,
                                                             boolean fixedSampleLocations)

### glTextureImage3DMultisampleCoverageNV

    public static void glTextureImage3DMultisampleCoverageNV(int texture,
                                                             int target,
                                                             int coverageSamples,
                                                             int colorSamples,
                                                             int internalFormat,
                                                             int width,
                                                             int height,
                                                             int depth,
                                                             boolean fixedSampleLocations)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.